import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  filename: z.string(),
  originalName: z.string(),
  mimeType: z.string(),
  fileSize: z.bigint(),
  filePath: z.string(),
  uploadedAt: z.coerce.date().optional(),
  updatedAt: z.coerce.date().optional()
}).strict();
export const PatientDocumentUncheckedCreateWithoutPatientInputObjectSchema: z.ZodType<Prisma.PatientDocumentUncheckedCreateWithoutPatientInput> = makeSchema() as unknown as z.ZodType<Prisma.PatientDocumentUncheckedCreateWithoutPatientInput>;
export const PatientDocumentUncheckedCreateWithoutPatientInputObjectZodSchema = makeSchema();
